import 'package:flutter/Material.dart';
import 'package:get/get_state_manager/src/rx_flutter/rx_obx_widget.dart';
import 'package:keyboard/module/zodiac_love_intimacy/future_week/zodiac_love_future_week_controller.dart';

import '../../../base/base_view.dart';
import '../widget/zodiac_love_intimacy_report.dart';

/// 星座恋爱分析-未来一周Tab
class ZodiacLoveFutureWeekView
    extends BaseView<ZodiacLoveFutureWeekController> {
  const ZodiacLoveFutureWeekView({super.key});

  @override
  backgroundColor() {
    return Color(0xFFF6F5FA);
  }

  @override
  Widget buildBody(BuildContext context) {
    return Obx(() {
      return ZodiacLoveIntimacyReportWidget(
        unlock: controller.memberInfo.value?.isMember ?? false,
        reportResult: controller.zodiacLoveIntimacyResp.value,
        isReportCreating: controller.isReportCreating.value,
        clickUnlockBtnCallback: () {
          controller.clickUnlockBtn();
        },
      );
    });
  }
}
